| Home | Libraries | People | FAQ | More

###### url_base::segments (2 of 2 overloads)

Return the path as a container of segments.

###### Synopsis

    segments_view
    segments() const;

###### Description

This function returns a bidirectional view of strings over the path. The returned view references the same underlying character buffer; ownership is not transferred. Any percent-escapes in strings returned when iterating the view are decoded first.

###### Example

    segments_view sv = url_view( "/path/to/file.txt" ).segments();

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### BNF

    path          = [ "/" ] segment *( "/" segment )

###### Specification

- 3.3. Path (rfc3986)

###### See Also

`is_path_absolute`, `encoded_path`, `encoded_segments`. `path`, /root/project/libs/url/include/boost/url/url_base.hpp